# Opal_Linear16Mono_PCM Class Reference

`#include <transcoders.h>`

Inheritance diagram for Opal_Linear16Mono_PCM:

List of all members.

## Public Member Functions

| Opal_Linear16Mono_PCM ()
virtual int | ConvertOne (int sample) const

## Constructor & Destructor Documentation

Opal_Linear16Mono_PCM::Opal_Linear16Mono_PCM | ( |  | ) |

## Member Function Documentation

virtual int Opal_Linear16Mono_PCM::ConvertOne | ( | int | sample | ) | const`[virtual]`

Convert one sample from one format to another. This function takes the input data as a single sample value and converts it to its output format.

Returns converted value.

Implements OpalStreamedTranscoder.

The documentation for this class was generated from the following file:

- transcoders.h